package com.dcsoft.system.consume.service;

import com.alibaba.fastjson.JSONObject;
import com.dcsoft.system.consume.domain.ConsumePeopleDay;

import java.util.List;
import java.util.Map;

/**
 * 人员餐补信息Service接口
 *
 * @author dcsoft
 * @date 2024-09-20
 */
public interface IConsumePeopleDayService
{
    /**
     * 查询人员餐补信息
     *
     * @param id 人员餐补信息主键
     * @return 人员餐补信息
     */
    public ConsumePeopleDay selectConsumePeopleDayById(Long id);

    public ConsumePeopleDay selectConsumePeopleDayByRecordId(String recordId);

    /**
     * 查询人员餐补信息列表
     *
     * @param consumePeopleDay 人员餐补信息
     * @return 人员餐补信息集合
     */
    public List<ConsumePeopleDay> selectConsumePeopleDayList(ConsumePeopleDay consumePeopleDay);

    /**
     * 新增人员餐补信息
     *
     * @param consumePeopleDay 人员餐补信息
     * @return 结果
     */
    public int insertConsumePeopleDay(ConsumePeopleDay consumePeopleDay);

    /**
     * 修改人员餐补信息
     *
     * @param consumePeopleDay 人员餐补信息
     * @return 结果
     */
    public int updateConsumePeopleDay(ConsumePeopleDay consumePeopleDay);

    /**
     * 批量删除人员餐补信息
     *
     * @param ids 需要删除的人员餐补信息主键集合
     * @return 结果
     */
    public int deleteConsumePeopleDayByIds(Long[] ids);

    /**
     * 删除人员餐补信息信息
     *
     * @param id 人员餐补信息主键
     * @return 结果
     */
    public int deleteConsumePeopleDayById(Long id);

    JSONObject queryPeopleDay(Map<String, Object> paramMap);

    public int syncHkRecord(ConsumePeopleDay consumePeopleDay);
}
